/* custom css */

:root {
  --deep-navy: #0d1f47;
  --navy: #152c5d;
  --teal: #40beb6;
  --teal-hover: #00e3d5;
  --gradient: linear-gradient(#0d1f47 100%, #152c5d 100%);
}
body {
  background-color: var(--navy);
  color: #fff;
  font-family: "Barlow", sans-serif;
  font-weight: 400;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--teal);
  font-family: barlow, sans-serif;
  font-weight: 700;
  line-height: 110%;
  margin-top: 0;
}
h1 {
  font-size: 80px;
}
h2 {
  font-size: 48px;
}
h3 {
  font-size: 36px;
}
a {
  text-decoration: none;
}
.outer-wrapper {
  width: 90%;
  max-width: 1500px;
  margin-left: auto;
  margin-right: auto;
}
.inner-wrapper {
  width: 90%;
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
}
.teal-btn {
  border: none;
  position: relative !important;
  display: block !important;
  width: fit-content !important;
  width: -moz-fit-content !important;
  min-width: 200px;
  padding: 15px 25px;
  box-sizing: border-box;
  background: var(--teal);
  border-radius: 100px !important;
  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  will-change: transform;

  & p {
    letter-spacing: 1.6px;
    font-family: "barlow-condensed", sans-serif;
    position: relative !important;
    z-index: 5;
    text-align: center;
    text-transform: uppercase;
    color: white !important;
    font-size: 20px !important;
    margin-bottom: 0 !important;
    line-height: inherit !important;
    border: none;
    letter-spacing: 1.6px;
    margin-top: 0 !important;
  }
  &::after {
    content: "";
    position: absolute;
    background-color: var(--teal-hover);
    width: 15%;
    padding-bottom: 15%;
    border-radius: 50%;
    left: 0;
    right: 0;
    top: 100%;
    margin: auto;
    transition: transform 0.6s ease;
  }
  &:hover::after {
    transform: scale(12);
    cursor: pointer;
  }
}
.alt-teal-btn {
  border: none;
  position: relative !important;
  display: block !important;
  width: fit-content !important;
  width: -moz-fit-content !important;
  min-width: 200px;
  padding: 15px 25px;
  box-sizing: border-box;
  background: var(--teal-hover);
  border-radius: 100px !important;
  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  will-change: transform;

  & p {
    font-family: "barlow-condensed", sans-serif;
    position: relative !important;
    z-index: 5;
    text-align: center;
    text-transform: uppercase;
    color: white !important;
    font-size: 20px !important;
    margin-bottom: 0 !important;
    line-height: inherit !important;
    border: none;
    letter-spacing: 1.6px;
    margin-top: 0 !important;
  }
  &::after {
    content: "";
    position: absolute;
    background-color: var(--navy);
    width: 15%;
    padding-bottom: 15%;
    border-radius: 50%;
    left: 0;
    right: 0;
    top: 100%;
    margin: auto;
    transition: transform 0.6s ease;
  }
  &:hover::after {
    transform: scale(12);
    cursor: pointer;
  }
}
.gform_button {
  font-family: "barlow-condensed", sans-serif !important;
  text-transform: uppercase;
  border: none !important;
  width: 100% !important;
  box-sizing: border-box;
  background: var(--teal) !important;
  border-radius: 100px !important;
  text-decoration: none;
  cursor: pointer;
  color: #fff !important;
  font-size: 20px !important;
  padding: 25px !important;
  transition: all 0.6s ease !important;

  &:hover {
    background-color: var(--teal-hover) !important;
    cursor: pointer;
  }
}
.ghost-btn {
  border: 2px solid rgba(0, 227, 213, 0.2);
  padding: 20px 40px;
  box-sizing: border-box;
  background: transparent;
  border-radius: 120px !important;
  text-decoration: none;
  cursor: pointer;
  color: var(--teal);
  transition: all 0.3s ease;
  font-size: 28px !important;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;

  .book-icon {
    opacity: 0.2;
    transition: all 0.3s ease;
    padding-left: 40px;
  }

  &:hover {
    border: 2px solid var(--teal);
    color: var(--teal);

    .book-icon {
      opacity: 1;
    }
  }
}
.accordion.ghost-btn {
  border-radius: 50px/50px !important;
  .accordion-inner {
    flex-direction: column;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

  .accordion-head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

  .accordion-body {
    display: none;
    color: #fff;
    font-size: 20px;
    transition: opacity 0.3s ease;

    & p {
      margin-left: 0 !important;
      width: 100%;
      margin-top: 20px;
    }
    & ul {
      margin-left: 0;

      & li {
        margin-left: 0;
      }
    }
  }
}
.accordion.ghost-btn.is-open {
  border-color: var(--teal);

  .accordion-body {
    display: block;
    opacity: 1;
  }
  .book-icon {
    opacity: 1;
  }
}
.accordion.ghost-btn {
  margin-bottom: 30px;
}

.buttons-container {
  display: flex;
  justify-content: center;

  .teal-btn {
    margin: 15px;
  }
}

@media (max-width: 1024px) {
  .ghost-btn.accordion {
    padding: 20px;
    font-size: 18px !important;

    .book-icon {
      width: 50px;
      padding-left: 10px;
    }
  }
  .buttons-container {
    flex-direction: column;

    .teal-btn {
      width: 100% !important;
      margin-left: auto;
      margin-right: auto;
    }
  }
}

/* header */

.header {
  /* position: relative; */
  position: sticky;
  top: 0;
  z-index: 10;
  background: var(--navy);

  .header-buttons-container {
    display: flex;

    .first-button {
      margin-right: 10px !important;
    }
  }

  .teal-btn {
    margin: 25px 0;

    & i {
      display: none;
      color: #fff;
      font-size: 20px;
    }
  }
}
.nav-wrapper {
  display: flex;
  align-items: center;
  width: 90%;
  margin: 0 auto;
  padding: 0;
}
.ivet-logo {
  padding: 25px 0;

  & svg {
    width: 140px;
  }
  & path {
    fill: var(--teal);
  }
}
.main-navigation {
  padding-left: 40px;

  .menu > .menu-item {
    display: flex;
    align-items: center;
    padding: 25px 0;

    & i {
      color: var(--teal);
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 14px;
      padding-left: 4px;
      padding-top: 4px;
      transition: all 0.25s ease-in;
    }
    & a,
    button {
      color: var(--teal);
      font-size: 20px;
      line-height: 120%;

      &:focus {
        outline: none;
      }
    }
    & button {
      font-family: "Barlow", sans-serif;
      padding: 0;
      background-color: transparent;
      border: none;
    }
  }
  .menu > .menu-item:hover > button,
  .menu > .menu-item:hover > a {
    color: var(--teal-hover);
  }
  .menu > .menu-item:hover > i {
    color: var(--teal-hover);
  }
  .parent-menu {
    flex-direction: column;
  }
  .open-nav {
    position: relative;

    #primary-menu {
      left: 0;
      display: flex;
      flex-direction: column;
    }
    & > button,
    & > a {
      color: var(--teal-hover);
    }
    .menu-item > i {
      transform: rotate(180deg);
      padding: 0;
      padding-right: 4px;
      padding-bottom: 4px;
      color: var(--teal-hover);
    }
  }
  #primary-menu {
    background-color: var(--navy);
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
    justify-content: center;

    .menu-item {
      padding: 25px 35px;
      width: 100%;
      display: flex;
      align-items: center;

      & a {
        width: 100%;
        text-align: center;
      }

      &:hover {
        & > a {
          color: var(--teal-hover);
        }
      }
    }
  }
}

.menu-toggle {
  background-color: transparent;
  border: none;
  padding: 0;
  display: flex;
}

.burger-line {
  display: none;
  width: 40px;
  height: 4px;
  background: var(--teal);
  border-radius: 5px;
  transition: all 0.2s ease-in-out;
}

.burger-line::before {
  transform: translateY(-12px);
}

.burger-line::after {
  transform: translateY(12px);
}

.burger-line::before,
.burger-line::after {
  content: "";
  position: absolute;
  width: 40px;
  height: 4px;
  background: var(--teal);
  border-radius: 5px;
  transition: all 0.2s ease-in-out;
}

.open-nav {
  .burger-line {
    transform: translateX(50px);
    background: transparent;
  }
  .burger-line::before {
    transform: rotate(45deg) translate(-35px, 35px);
  }
  .burger-line::after {
    transform: rotate(-45deg) translate(-35px, -35px);
  }
}
.main-navigation ul li:hover > ul {
  /* float: left;
  left: -999em;
  width: auto; */
}

@media (max-width: 1024px) {
  .header {
    .header-buttons-container {
      width: 100%;
      margin-right: 0;
      margin-left: auto;
      justify-content: flex-end;
      margin-right: 10px;
    }
    .main-navigation {
      padding-left: 10px;
      order: 3;
      width: fit-content;

      .menu > .menu-item a {
        font-size: 18px;
      }
    }
    .teal-btn {
      /* margin-left: auto; */
      min-width: 0;
      width: 48px !important;
      height: 48px !important;
      display: flex;
      justify-content: center;
      align-items: center;

      & p {
        display: none;
      }
      & i {
        display: flex;
        justify-content: center;
        align-items: center;
      }
    }
    .ivet-logo {
      & svg {
        width: 100px;
      }
    }
    .nav-wrapper {
      justify-content: space-between;
    }
    .main-navigation .menu {
      display: flex;
      justify-content: flex-end;
    }
  }
  /* mobile nav */
  .burger-line {
    display: flex;
  }
  .main-navigation .menu .menu-item-649 {
    overflow: hidden;
    & span,
    i {
      display: none;
    }
  }
  .nav-wrapper {
    position: relative;
  }
  .main-navigation {
    .open-nav {
      position: static;

      #primary-menu {
        width: 100vw;
        margin-left: calc(50% - 50vw);
        z-index: 10;
      }
    }
  }
}

/* footer */
.footer-cta {
  background-image: url(../../uploads/2024/06/BOOK-CTA.png);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: center;
  height: 800px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all ease 3s;

  &.zoom {
    background-size: 110%;
  }

  .footer-cta__content {
    border-radius: 16px;
    background: var(--teal);
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 600px;
    margin-right: 0;
    margin-left: auto;

    & h2 {
      text-align: center;
      color: #fff;
      text-transform: none;
    }

    .teal-btn {
      background-color: var(--teal-hover);
    }
    .teal-btn:hover {
      background-color: var(--hover);
    }
  }
}
.footer-wave {
  width: 100%;

  &.top {
    position: absolute;
    top: -1px;
  }
  &.bottom {
    position: absolute;
    bottom: -1px;
  }
}
.copyright {
  width: 90%;
  margin: 0 auto;
  padding: 25px 0;
}
.copyright-left {
  display: flex;
  align-items: center;

  & a,
  p {
    color: var(--teal);
  }
  & svg {
    width: 140px;
    margin-right: 24px;
  }
}

@media (max-width: 1024px) {
  .footer-cta {
    background-image: none;
    background-color: var(--teal-hover);
    height: 600px;

    .footer-cta__content {
      margin-right: auto;
    }
  }
}

/*  components */

.cta-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  .teal-cta {
    background-color: var(--teal);
    padding: 20px 40px;
    height: 300px;
    min-height: 300px;
    border-radius: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: calc(50% - 40px);
    margin: 10px;
    background-image: url(../../uploads/2024/06/BOOK-Coin.png);
    background-position: center;
    background-size: 50%;
    background-repeat: no-repeat;
    transition: all 0.2s ease;
    cursor: pointer;

    &:hover {
      background-image: none;
      cursor: default;

      .teal-cta__content {
        opacity: 1;
        height: auto;
        margin-top: 20px;
      }
      .teal-cta__title {
        margin-bottom: 10px;
        text-decoration: line-through;
        opacity: 0.2;
      }
    }
  }

  .teal-cta__title {
    color: #fff;
    margin-bottom: 0px;
    margin-top: 0;
    text-align: center;
  }

  .teal-cta__content {
    transition: opacity 0.6s ease-in;
    opacity: 0;
    height: 0;
    overflow: hidden;
    text-align: center;
    margin-bottom: 0;
    font-size: 20px;
    transition: all 0.6s ease;
    margin-top: 0;
    width: 100% !important;
  }
}

.float {
  transition: all 1s ease !important;
  opacity: 0;
  transform: translateY(50px);
}

.float-up.float {
  opacity: 1;
  transform: translateY(0px);
}

.three-buttons {
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  .ghost-btn {
    width: 46%;
    margin: 10px;
    min-width: 300px;
  }
}

.wp-block-table {
  border-radius: 16px;
  background-color: var(--navy);
  overflow: hidden;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  padding: 30px 0 0 0;

  .border {
    margin-top: 40px;
    width: 100%;
    border-bottom: 8px solid var(--teal);
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
  }

  & table {
    color: var(--teal);
    margin: 0;
    width: calc(100% - 80px) !important;
    margin-left: auto;
    margin-right: auto;
  }
  & thead {
    border: 0;
    padding: 20px 20px 0 20px;
    text-transform: uppercase;
    & th {
      border: 0;
    }
    & th:first-of-type {
      font-weight: 400;
      text-align: left;
      font-size: 24px;
      text-transform: capitalize;
    }

    & th:not(:first-of-type) {
      font-weight: 400;
      font-size: 20px;
      font-weight: normal;

      & span {
        border-radius: 8px;
        padding: 10px 15px;
        background-color: var(--deep-navy);
      }
    }
  }
  & tbody {
    & td {
      border: 0px;
      border-bottom: 1px solid rgba(251, 251, 251, 0.2);
      color: var(--teal);
      font-style: italic;
      font-size: 20px;
      padding: 10px 15px;
    }
    & tr td:first-of-type {
      color: #fff;
      font-style: normal;
    }
  }
}

@media (max-width: 1024px) {
  .cta-grid {
    flex-direction: column;

    .teal-cta {
      width: 100%;
      margin-left: 0;
      margin-right: 0;
      padding: 20px;

      &:hover {
        background-image: url(../../uploads/2024/06/BOOK-Coin.png);
        .teal-cta__content {
          opacity: 0;
          height: 0;
          margin-top: 0px;
        }
        .teal-cta__title {
          margin-bottom: 0px;
          text-decoration: none;
          opacity: 1;
        }
      }
      &.is-open {
        height: 100%;
        background-image: none;
        cursor: pointer;

        .teal-cta__content {
          opacity: 1;
          height: auto;
          margin-top: 20px;
        }
        .teal-cta__title {
          margin-bottom: 10px;
          text-decoration: line-through;
          opacity: 0.2;
        }
      }
    }
  }
  .wp-block-table {
    padding: 10px 0 0 0;
    & table {
      width: calc(100% - 20px) !important;
    }
    & thead {
      & th,
      & th:first-of-type {
        font-size: 14px;
        padding: 0.25em;

        & span {
          font-size: 14px;
          text-align: center;
          display: flex;
        }
      }
    }
    & tbody {
      & td {
        font-size: 14px;
        padding: 0.25em;
      }
    }
    .border {
      margin-top: 10px;
    }
  }
  .three-buttons {
    .ghost-btn {
      width: 100%;
      margin-left: 0;
      margin-right: 0;
    }
  }
}

/* home */

.page-template-homepage {
  .entry-content {
    margin: 0;
  }
  .home-header {
    height: calc(100vh - 160px);
    background-image: url(../../uploads/2024/06/BOOK-Hero.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 16px;
    margin-bottom: 100px;
    position: relative;

    .entry-title {
      margin-bottom: 40px;
      margin-top: 0;
      text-align: center;
    }
  }
  & h2.wp-block-heading {
    color: var(--teal);
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;

    &:first-of-type {
      max-width: 1020px;
    }
  }
  .line-ctn {
    position: absolute;
    height: 200px;
    bottom: -100px;
    margin: 0px auto 0 auto;
  }
  .vertical-line {
    height: 10px;
    width: 2px;
    background-color: var(--teal);
    transition: all 0.5s ease;
  }
  .vertical-line.expand {
    height: 200px;
  }
}

.splitting .char {
  color: rgba(0, 0, 0, 0.2);
  transform: translateY(0.25em);
  animation: titleSplit 0.3s cubic-bezier(0.3, 0, 0.3, 1) 1 forwards;
  animation-delay: calc(20ms * var(--char-index));
  animation-fill-mode: forwards;
}

@keyframes titleSplit {
  0% {
    color: rgba(0, 0, 0, 0.2);
    transform: translateY(0.25em);
  }
  100% {
    color: #40beb6;
    transform: translateY(0);
  }
}

@media (max-width: 1024px) {
  .page-template-homepage {
    .home-header {
      margin-bottom: 75px;
      .entry-title {
        font-size: 52px;
        width: 90%;
        margin-left: auto;
        margin-right: auto;
      }
    }
    .line-ctn {
      bottom: -50px;
      height: 100px;
    }
    .vertical-line.expand {
      margin: 0px auto 0 auto;
      height: 100px;
    }
  }
}

@-webkit-keyframes expand {
  0% {
    transform: translateY(-100%);
    opacity: 0;
    /* height: 0px; */
  }
  100% {
    transform: translateY(0);
    opacity: 1;
    /* height: 200px; */
  }
}

/* default page template */
.error404,
.page-template-default {
  .entry-header {
    padding: 120px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 16px;
    background: var(
      --gradient,
      linear-gradient(313deg, #0d1f47 24.63%, #152c5d 68.29%)
    );
    border-radius: 16px;

    .entry-title {
      font-size: 80px;
      text-align: center;
      margin-bottom: 0;
      margin-top: 0;
      max-width: 800px;
    }
  }
}

.error404 .entry-header {
  flex-direction: column;

  .entry-title {
    margin-bottom: 40px;
  }
}

.wp-block-columns.full-width {
  background-color: var(--deep-navy);
  width: 100%;
  padding: 96px;
  margin-bottom: 0;

  > * {
    max-width: 800px;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
  }
}

.wp-block-columns.full-width.no-bottom {
  padding-bottom: 0;
}

.entry-content {
  & > h2,
  h3,
  ul,
  ol,
  li,
  p:not(.teal-btn p),
  a:not(.teal-btn, .ghost-btn, .alt-teal-btn) {
    max-width: 800px;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
  }
  & > ul {
    padding-left: 0;

    & li {
      margin-left: 1.5em;

      &::marker {
        color: var(--teal);
      }
    }
    & li strong {
      font-weight: bold;
      color: var(--teal);
    }
  }
  & ul,
  ol,
  li,
  p:not(.teal-btn p),
  a:not(.teal-btn) {
    font-size: 20px;
  }
}

@media (max-width: 1024px) {
  .error404,
  .page-template-default {
    .entry-header {
      .entry-title {
        font-size: 52px;
        width: 90%;
        margin-left: auto;
        margin-right: auto;
      }
    }
  }
  .wp-block-columns.full-width {
    padding: 96px 0;

    .wp-block-column {
      flex-grow: 0 !important;
      width: 90% !important;
      margin-left: auto;
      margin-right: auto;
    }
  }

  .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
    flex-basis: 90% !important;
  }
  h1 {
    font-size: 52px;
  }
  h2 {
    font-size: 32px;
  }
  h3 {
    font-size: 24px;
  }

  .alt-teal-btn p,
  .ghost-btn,
  .teal-btn p {
    font-size: 20px !important;
  }
  .entry-content {
    & ul,
    ol,
    li,
    p:not(.teal-btn p),
    a:not(.teal-btn) {
      font-size: 16px;
    }
  }
}

/* process page  */

.page-id-1881 {
  & h3.wp-block-heading {
    margin-bottom: 0;
    font-size: 32px;
  }
  & .entry-content > ul {
    margin-top: 20px;
  }
  & .entry-content p {
    margin-top: 10px;
  }
}

.book-section {
  padding: 20px 0;
  display: flex;
  width: 100%;
  background: linear-gradient(180deg, var(--deep-navy) 60%, var(--navy) 50%);

  & > img {
    max-width: 800px;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
  }
}

/* pricing page  */

.page-id-1882 {
  .footer-wave.top {
    & svg {
      fill: var(--deep-navy);
    }
    & path {
      fill: var(--deep-navy);
    }
  }
  .wp-block-columns.full-width {
    & > * {
      max-width: 1000px;
    }
  }
}

/* faqs page */

.page-id-1883 {
  .footer-wave.top {
    & svg {
      fill: var(--deep-navy);
    }
    & path {
      fill: var(--deep-navy);
    }
  }
}

/* book a demo */

.page-id-1884 {
  #gform_wrapper_15 {
    background-color: #fff;
    border-radius: 16px;
    overflow: hidden;
    margin: 0 auto;
    max-width: 540px;
  }
  #gform_15 {
    padding: 64px 56px;

    #gform_submit_button_15 {
      padding: 16px 4px !important;
      letter-spacing: 0.1em;
    }
  }
  .gform_heading {
    display: none;
  }
  .gform-field-label,
  .gfield_label {
    display: none !important;
  }
  .gform_footer {
    padding-bottom: 0 !important;
  }
  & input {
    border: none;
    border-bottom: 1px solid #dddddd;
    font-family: "barlow-condensed", sans-serif !important;
  }
  & input::placeholder {
    color: #565656;
    font-size: 20px;
    font-family: "barlow-condensed", sans-serif !important;
  }
  .gfield {
    margin-bottom: 10px;
  }
  .wp-block-columns.full-width {
    background: linear-gradient(180deg, var(--deep-navy) 80%, var(--navy) 20%);

    padding-bottom: 0;
    > * {
      max-width: 700px;
    }
  }
  .footer-cta {
    display: none;
  }
  .copyright {
    display: none;
  }
}

.captcha-callout {
  color: white;
  font-size: 10px;
  text-align: center;
  font-size: 10px !important;

  & a {
    text-decoration: underline;
    font-size: 10px !important;
  }
}

/* thanks page */

.page-id-631 {
  .footer-cta {
    display: none;
  }
  .entry-content {
    min-height: 200px;
  }
}
